<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<artifactId>ars</artifactId>
		<groupId>gov.va.med.cds</groupId>
		<version>4.0.2-SNAPSHOT</version>
		<relativePath>../pom.xml</relativePath>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<artifactId>reporting-service</artifactId>
	<name>Repositories Reporting and Analytics Service</name>
	<description>
		ARS business logic repos-analytics
	</description>
	<properties>
		<repos.lib.groupid>gov.va.med.repos.lib</repos.lib.groupid>
	</properties>
	<build>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
			<resource>
				<directory>src/main</directory>
				<includes>
					<include>resources/*.xml</include>
					<include>resources/*.xsd</include>
				</includes>
				<excludes>
					<exclude>resources/*.sql</exclude>
					<exclude>resources/*.pkb</exclude>
					<exclude>resources/*.pks</exclude>
				</excludes>
			</resource>
		</resources>
		<testResources>
			<testResource>
				<directory>src/test/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
				<filtering>true</filtering>
			</testResource>
			<testResource>
				<directory>src/test/resources</directory>
				<excludes>
					<exclude>**/*.java</exclude>
					<exclude>filters/*.*</exclude>
				</excludes>
			</testResource>
			<testResource>
				<directory>src/test/resources/properties/filters</directory>
				<targetPath>../../resources/properties</targetPath>
				<filtering>true</filtering>
			</testResource>
		</testResources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>test-jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<!-- un-comment to generate the wsdl/jaxws classes 
			<plugin>
   				<groupId>org.codehaus.mojo</groupId>
   				<artifactId>jaxws-maven-plugin</artifactId>
   					<executions>
   						<execution>
   						<id>generate-wsdl</id>
   						<phase>process-classes</phase>
   						<goals>
   							<goal>wsgen</goal>
   						</goals>
   						<configuration>
   							<sei>gov.va.med.cds.ars.AggregateReportingService</sei>
       						<resourceDestDir>src/main/java/wsdls</resourceDestDir>
       						<genWsdl>true</genWsdl>
       						<sourceDestDir>src/main/java</sourceDestDir>
       					</configuration>
       				</execution>
       			</executions>
       		</plugin>
			-->
		</plugins>
		<pluginManagement>
			<plugins>
				<!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
				<plugin>
					<groupId>org.eclipse.m2e</groupId>
					<artifactId>lifecycle-mapping</artifactId>
					<version>1.0.0</version>
					<configuration>
						<lifecycleMappingMetadata>
							<pluginExecutions>
								<pluginExecution>
									<pluginExecutionFilter>
										<groupId>
											org.codehaus.mojo
										</groupId>
										<artifactId>
											jaxws-maven-plugin
										</artifactId>
										<versionRange>
											[1.10,)
										</versionRange>
										<goals>
											<goal>wsgen</goal>
										</goals>
									</pluginExecutionFilter>
									<action>
										<ignore />
									</action>
								</pluginExecution>
							</pluginExecutions>
						</lifecycleMappingMetadata>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>
	<dependencies>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>common</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-collections4</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-dbcp2</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-pool2</artifactId>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-core</artifactId>
		</dependency>
		<!-- transitive dependency hibernate uses for logging, this version will replace the one hibernate uses and allow the log4j2 configuration binding 
			the earlier version did not -->
		<dependency>
			<groupId>org.jboss.logging</groupId>
			<artifactId>jboss-logging</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.annotation</groupId>
			<artifactId>jsr250-api</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.transaction</groupId>
			<artifactId>jta</artifactId>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
		</dependency>
		<!-- <dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
		</dependency> -->
		<dependency>
			<groupId>oracle</groupId>
			<artifactId>ojdbc6</artifactId>
		</dependency>
		<!-- <dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
		</dependency> -->
		<!-- <dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
		</dependency> -->
		<!-- Dependency was required for DevTest Environment -->
		<dependency>
		    <groupId>javax.xml.bind</groupId>
		    <artifactId>jaxb-api</artifactId>
		</dependency>
		<dependency>
		    <groupId>com.sun.xml.bind</groupId>
		    <artifactId>jaxb-impl</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-beans</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-test</artifactId>
		</dependency>
		<!-- combined version -->
		<dependency>
			<groupId>com.oracle.weblogic</groupId>
			<artifactId>weblogic-maven-plugin</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>dom4j</groupId>
			<artifactId>dom4j</artifactId>
		</dependency>
		<dependency>
			<groupId>annogen</groupId>
			<artifactId>annogen</artifactId>
		</dependency>
		<!-- Added for interim, until hdr level -->
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>aspectjweaver</artifactId>
		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>common</artifactId>
		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>junit-ext</artifactId>
 		</dependency>
 		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>log4j-ext</artifactId>
		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>testharness</artifactId>
            <classifier>tests</classifier>
            <scope>test</scope>
		</dependency>
   		<!-- needed for ws-gen generation -->
		<!--dependency>
      			<groupId>javax</groupId>
      			<artifactId>javaee-api</artifactId>
    		</dependency-->
		<dependency>
		    <groupId>org.apache.geronimo.specs</groupId>
		    <artifactId>geronimo-jpa_2.0_spec</artifactId>
		    <version>1.1</version>
		    <scope>provided</scope>
		</dependency>
        <dependency> 
            <groupId>org.kohsuke.jetbrains</groupId> 
            <artifactId>annotations</artifactId> 
            <version>9.0</version> 
        </dependency> 
         <dependency>
            <groupId>org.apache.wss4j</groupId>
            <artifactId>wss4j-ws-security-common</artifactId>
        </dependency>
	</dependencies>
	<profiles>
		<profile>
			<id>clover</id>
			<build>
				<plugins>
					<plugin>
						<groupId>com.atlassian.maven.plugins</groupId>
						<artifactId>maven-clover2-plugin</artifactId>
						<configuration>
							<licenseLocation> ${CDSN_ROOT}/misc/tools/Clover/clover.license 
							</licenseLocation>
							<excludes>
								<exclude>**/*Test.java</exclude>
								<exclude>**/*TestCase.java</exclude>
							</excludes>
						</configuration>
						<executions>
							<execution>
								<phase>pre-site</phase>
								<goals>
									<goal>instrument</goal>
									<goal>aggregate</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>
</project>
